pcl::StopWatch Class Reference
Module common

Simple stopwatch. More...

`#include <pcl/common/time.h>`

Inheritance diagram for pcl::StopWatch:

## Public Member Functions

| StopWatch ()
| Constructor. More...
virtual | ~StopWatch ()
| Destructor. More...
double | getTime ()
| Retrieve the time in milliseconds spent since the last call to reset(). More...
double | getTimeSeconds ()
| Retrieve the time in seconds spent since the last call to reset(). More...
void | reset ()
| Reset the stopwatch to 0. More...

## Protected Attributes

boost::posix_time::ptime | start_time_

## Detailed Description

Simple stopwatch.

Definition at line 64 of file time.h.

## Constructor & Destructor Documentation

pcl::StopWatch::StopWatch | ( |  | ) |

inline

Constructor.

Definition at line 68 of file time.h.

virtual pcl::StopWatch::~StopWatch | ( |  | ) |

inline virtual

Destructor.

Definition at line 73 of file time.h.

## Member Function Documentation

double pcl::StopWatch::getTime | ( |  | ) |

inline

Retrieve the time in milliseconds spent since the last call to reset().

Definition at line 77 of file time.h.

References start_time_.

Referenced by getTimeSeconds(), and pcl::ScopeTime::~ScopeTime().

double pcl::StopWatch::getTimeSeconds | ( |  | ) |

inline

Retrieve the time in seconds spent since the last call to reset().

Definition at line 85 of file time.h.

References getTime().

void pcl::StopWatch::reset | ( |  | ) |

inline

Reset the stopwatch to 0.

Definition at line 92 of file time.h.

References start_time_.

## Member Data Documentation

boost::posix_time::ptime pcl::StopWatch::start_time_

protected

Definition at line 98 of file time.h.

Referenced by getTime(), reset(), and pcl::ScopeTime::ScopeTime().

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/common/time.h